;**************************************************************************
;*
;* FILE  loader2_runtime.i
;* Copyright (c) 2009 Daniel Kahlin <daniel@kahlin.net>
;* Written by Daniel Kahlin <daniel@kahlin.net>
;* $Id: loader2_runtime.i,v 1.3 2009-03-26 19:57:34 tlr Exp $
;*
;* DESCRIPTION
;*   Fast DMA IRQ loader for the DTV / 1541 compatible.
;*
;******

LOADER2_BASE	equ	$c000

; load mode flags
LOAD_ADDR2_SKIP	equ	0
LOAD_ADDR2	equ	1
LOAD_ADDR3_SKIP	equ	2
LOAD_ADDR3	equ	3
LOAD_RAW	equ	4

ld2_install	equ	LOADER2_BASE+$00
ld2_uninstall	equ	LOADER2_BASE+$03
ld2_setnam	equ	LOADER2_BASE+$06
ld2_setstart	equ	LOADER2_BASE+$09
ld2_load	equ	LOADER2_BASE+$0c
ld2_silence	equ	LOADER2_BASE+$0f
ld2_diskchange	equ	LOADER2_BASE+$12

	ifconst	LOADER2_TEST
ld2_getstart	equ	LOADER2_BASE+$15
ld2_getend	equ	LOADER2_BASE+$18
	endif
; eof
